# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global pythonver %(python -c "import sys; print sys.version[:3]" 2>/dev/null || echo none)
%{!?python_sitelib: %global python_sitelib %{_prefix}/lib/python%{pythonver}/site-packages}
%global moin_static_content_dir %{python_sitelib}/MoinMoin/web/static/htdocs

Summary:	The "monomoin" theme for the moin wiki engine
Name:		moin-theme-monomoin
Version:	0.5
Release:	11.%{__distinit}%{__distvers}
URL:		http://moinmo.in/ThemeMarket/Monomoin
Source0:	monomoin-0.5.tgz.gz
Patch0:		moin-theme-monomoin-0.5-page-trails.patch
Patch1:		moin-theme-monomoin-0.5-icons.patch
License:	GPLv2+
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	python2
Requires:	moin >= 1.9.0

%description
monomoin is an adaption of the monobook theme from Wikipedia.
This theme comes with a floating table of contents macro and a nice set of
icons (taken from live.gnome.org).

%prep
%setup -q -c

# Fix page trails in moin ≥ 1.5
%patch0 -p0

# Add new icons from modern theme
%patch1 -p0

cat << EOF > README.rpm
After installing this package, any newly-created wiki instances should
automatically have the monomoin theme available.

To make the monomoin theme available to an existing wiki instance, copy
%{_datadir}/moin/data/plugin/theme/monomoin.py*
to the data/plugin/theme directory of the wiki instance and do:
chown apache:apache /path/to/wiki/data/plugin/theme/monomoin.py*
You will need to restart moin before the new theme is visible.
EOF

%build
cd monomoin/to_be_moved_to_the_plugin_directory
# Generate normal (.pyc) byte-compiled files.
python -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
# Generate optimized (.pyo) byte-compiled files.
python -O -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
cd -

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/moin/data/plugin/theme
install -p -m 644 monomoin/to_be_moved_to_the_plugin_directory/monomoin.py* \
	%{buildroot}%{_datadir}/moin/data/plugin/theme/
install -d -m 755 %{buildroot}%{moin_static_content_dir}/monomoin/{css,img}
install -p -m 644 monomoin/css/*.css %{buildroot}%{moin_static_content_dir}/monomoin/css/
install -p -m 644 monomoin/img/*.jpg %{buildroot}%{moin_static_content_dir}/monomoin/img/
install -p -m 644 monomoin/img/*.png %{buildroot}%{moin_static_content_dir}/monomoin/img/

# Symlink to conflict and renamed icons from modern theme
ln -s ../../modern/img/moin-{conflict,renamed}.png %{buildroot}%{moin_static_content_dir}/monomoin/img/
# Symlink to attach icon from modern theme
ln -s ../../modern/img/attach.png %{buildroot}%{moin_static_content_dir}/monomoin/img/

%clean
rm -rf %{buildroot}

%pretrans -p <lua>
-- Remove old compat symlink, if present
path = "%{moin_static_content_dir}/monomoin"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files
%doc README.rpm
%{_datadir}/moin/data/plugin/theme/monomoin.py*
%{moin_static_content_dir}/monomoin/

%changelog
* Wed Feb 18 2015 Paul Howarth <paul@city-fan.org> - 0.5-11
- Drop support for old distributions prior to FC-5
  - No need to support python < 2.4 or moin < 1.9.0
  - Drop %%defattr, redundant since rpm 4.4
- Move static content from %%{_datadir} to %%{python_sitelib} as wanted by
  moin ≥ 1.9.0 and remove any old compat symlink with a %%pretrans script

* Thu Oct 13 2011 Paul Howarth <paul@city-fan.org> - 0.5-10
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux
- BR: python2 rather than just python

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 0.5-9
- Rebuild for python 2.7 in Rawhide

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 0.5-8
- Fix dist tag for RHEL-6 Beta

* Thu Dec 31 2009 Paul Howarth <paul@city-fan.org> - 0.5-7
- Add compat symlink to static content from
  %%{python_sitelib}/MoinMoin/web/static/htdocs for moin ≥ 1.9.0
- BR: symlinks
- Include previously-unpackaged background image bgb.jpg
- Dist tag for Rawhide no longer needs special-casing

* Thu Jul 30 2009 Paul Howarth <paul@city-fan.org> - 0.5-6
- Update URL for new upstream moin site
- Define RPM macros in global scope
- Use %%{__install} -p to maintain timestamps
- Apply patch from upstream wiki page to fix page trails in moin ≥ 1.5
- Symlink missing icons moin-{conflict,renamed}.png and attach.png to those
  in the modern theme, and add patch to refer to them

* Tue Nov  6 2007 Paul Howarth <paul@city-fan.org> - 0.5-5
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL version 2 or later

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 0.5-4
- Rebuild for python 2.5 on Rawhide

* Tue Dec  5 2006 Paul Howarth <paul@city-fan.org> - 0.5-3
- Fix python-abi dep for python 2.3
- Fix mock build where python is not in the initial buildroot

* Mon Sep 18 2006 Paul Howarth <paul@city-fan.org> - 0.5-2
- Fix dist tag for development builds
- Define %%{__id_u} in a more portable way
- Don't ghost .pyo files
- Buildreq python, not python-devel

* Fri Feb 24 2006 Paul Howarth <paul@city-fan.org> - 0.5-1
- Initial package build
